summaryrefslogtreecommitdiffstats
path: root/openwrt/package/pmacct/files/pmacctd.init
diff options
context:
space:
mode:
authornico <nico@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-05-16 02:31:54 +0000
committernico <nico@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-05-16 02:31:54 +0000
commitb418a072de49818898dc7c0226f5da285e5c3be9 (patch)
tree2ea8f0cf2e68565de065624a8ebb880c3d63bcba /openwrt/package/pmacct/files/pmacctd.init
parentf57a147ad85b7efc787714b93fc50eaf06067d64 (diff)
Add pmacct package
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@915 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'openwrt/package/pmacct/files/pmacctd.init')
-rw-r--r--openwrt/package/pmacct/files/pmacctd.init22
1 files changed, 22 insertions, 0 deletions
diff --git a/openwrt/package/pmacct/files/pmacctd.init b/openwrt/package/pmacct/files/pmacctd.init
new file mode 100644
index 000000000..0af109500
--- /dev/null
+++ b/openwrt/package/pmacct/files/pmacctd.init
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+BIN=pmacctd
+DEFAULT=/etc/default/$BIN
+RUN_D=/var/run
+PID_F=$RUN_D/$BIN.pid
+[ -f $DEFAULT ] && . $DEFAULT
+
+case $1 in
+ start)
+ mkdir -p $RUN_D
+ $BIN $OPTIONS
+ ;;
+ stop)
+ [ -f $PID_F ] && kill -INT $(cat $PID_F)
+ ;;
+ *)
+ echo "usage: $0 (start|stop)"
+ exit 1
+esac
+
+exit $?